Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml
Class BasicModelExtent

    java.lang.Object
      org.eclipse.m2m.qvt.oml.BasicModelExtent

All Implemented Interfaces:
  ModelExtent

    public class BasicModelExtent

extends java.lang.Object
implements ModelExtent

Simple in-memory model extent implementation.

Since:
  2.0

Constructor Summary
`BasicModelExtent()` Construct an empty extent, typically used as `[out]` model parameter.
`BasicModelExtent(java.util.List<? extends EObject> contents)` Construct new extent with initial contents

Method Summary
`void` | `add(EObject element)` Add a single element to this extent.
`java.util.List<EObject>` | `getContents()` The read-only view of this model extent's contents.
`void` | `setContents(java.util.List<? extends EObject> contents)` Sets the contents of this model extent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicModelExtent

    public BasicModelExtent()

  Construct an empty extent, typically used as `[out]` model parameter.

### BasicModelExtent

    public BasicModelExtent(java.util.List<? extends EObject> contents)

  Construct new extent with initial contents

  Parameters:
    `contents` - the elements to be the contents of the created extent.

Method Detail

### add

    public void add(EObject element)

  Add a single element to this extent.

  Parameters:
    `element` - non-null element

### getContents

    public java.util.List<EObject> getContents()

  Description copied from interface: `ModelExtent`
  The read-only view of this model extent's contents.

  Specified by:
    `getContents` in interface `ModelExtent`
  Returns:
    list of elements contained in this extent

### setContents

    public void setContents(java.util.List<? extends EObject> contents)

  Description copied from interface: `ModelExtent`
  Sets the contents of this model extent.

  Specified by:
    `setContents` in interface `ModelExtent`
  Parameters:
    `contents` - list of elements to become the contents of this extent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD